• If this is your first visit, you will have to register before you can post. To view messages, please scroll below and select the forum that you would like to visits. Questions? Be sure to check out the Forum FAQ.

Announcement

Collapse
No announcement yet.

Partner 728x90

Collapse

Update nightmare

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    Update nightmare

    Hi,
    I recently decided to updste to the latest release. After doing so I am not getting an error that I have custom scripts that are corrupt.
    ("NinjaScript files can not be restored, since it would corrupt your installation")

    I did not have any errors previously to installing this update6.5.1000.11
    After a few mins of fiddling around I realized that 1 of the last scripts I had imported the day before compiled and worked just fine, but had a corrupt variable somehow. After opening the script and removing all code then compiling I was able to now restore my backup files. I wanted to take time to post this so in case someone else runs into this it may save them time. I would also like to recommend to the coding team that if a script is bad then remove it automatically instead of locking the platform up, and making it impossible to restore anything unless the end user figures out which script is bad. I also did not see a way to remove all bad scripts to clean the corrupt system. Overall Ninja Charting system is a wonderful tool, and the fact it can be used for free with so much support is AWESOME!!!

    Thanks

    #2
    Widgetman, thanks for the post and kind words. The reason that you see this issue at times is that NinjaTrader compiles all your scripts (indicator and strategies) in one assembly for maximum speed and efficiency. Thus all scripts have to error free (or fully commented out to be ignored by the compiler).
    BertrandNinjaTrader Customer Service

    Comment


      #3
      Ninja Script Errors on Upgrade

      Team,
      Just, hesitantly, updated to 6.5.1000.15 and lost all my Ninja Script. Upon attempting to re-install I now get the error message that "You have custom NinjaScript files on your PC that have programming errors. These errors must be resolved before you can import...."

      How is it I had no errors in previous version, but now I have errors???? I haven't touched any of the files!! ??

      Please help urgently, very frustrated. Never good when an upgrade causes problems!

      Thanks

      Comment


        #4
        Hello,

        I think I have addressed this on another thread, but do you have ShadowTrader indicators?
        DenNinjaTrader Customer Service

        Comment

        Latest Posts

        Collapse

        Topics Statistics Last Post
        Started by aviat72, Today, 12:41 AM
        1 response
        8 views
        0 likes
        Last Post NinjaTrader_ChrisSch  
        Started by _Zero_, 01-06-2020, 01:16 PM
        2 responses
        75 views
        2 likes
        Last Post CiprianV  
        Started by RuthB, 05-29-2020, 09:41 PM
        3 responses
        32 views
        0 likes
        Last Post aviat72
        by aviat72
         
        Started by Jorge.andres.o, Yesterday, 08:22 PM
        0 responses
        7 views
        0 likes
        Last Post Jorge.andres.o  
        Started by mtamaku, Yesterday, 06:54 PM
        0 responses
        11 views
        0 likes
        Last Post mtamaku
        by mtamaku
         
        Working...
        X